Package com.collabnet.ce.soap60.webservices.cemain

# Class AuditHistorySoapListMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.AuditHistorySoapListMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class AuditHistorySoapListMarshaler extends AbstractSoapMarshaler
Marshaler class for AuditHistorySoapList.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Returns the singleton class instance.
  `protected void`
  `protectedRmiToSoap(AuditHistorySoapList soapList, com.vasoftware.sf.server.services.auditing.AuditHistoryList rmiList, List<com.collabnet.ctf.dataobject.comment.CommentData> commentList, boolean translateFields)`
  Overloaded method to marshal RMI auditing list and comment list into a single SOAP auditing history list.
  `protected void`
  `protectedRmiToSoap(Object soapObject, Object rmiObject)`
  Unmarshals data from an rmi object to a given SOAP object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.
  `AuditHistorySoapList`
  `rmiToSoap(com.vasoftware.sf.server.services.auditing.AuditHistoryList auditHistoryList, List<com.collabnet.ctf.dataobject.comment.CommentData> commentList, boolean translateFields)`
  Overloaded version of the marshaler that merges history and comments into SOAP audit history list.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Unmarshals an object used by RMI APIs to a SOAP object
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler

  `getCoreService`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `AbstractSoapMarshaler`
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Overrides:
      `protectedSoapToRmi` in class `AbstractSoapMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Unmarshals an object used by RMI APIs to a SOAP object
    Parameters:
      `rmiObject` - Object used by RMI apis.
    Returns:
      Unmarshaled SOAP object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during unmarshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `AbstractSoapMarshaler`
    Unmarshals data from an rmi object to a given SOAP object. This protected method is primarily used by the marshaler classes to unmarshal members from a super-class marshaler.
    Overrides:
      `protectedRmiToSoap` in class `AbstractSoapMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`

  - ### rmiToSoap

    public AuditHistorySoapList rmiToSoap(com.vasoftware.sf.server.services.auditing.AuditHistoryList auditHistoryList, List<com.collabnet.ctf.dataobject.comment.CommentData> commentList, boolean translateFields) throws SoapMarshalingException
    Overloaded version of the marshaler that merges history and comments into SOAP audit history list.
    Parameters:
      `auditHistoryList` - Audit history list.
      `commentList` - Comment list.
      `translateFields` - denotes whether fields not known to pre 5.3 versions of TeamForge should be translated
    Returns:
      Audit history SOAP list.
    Throws:
      `SoapMarshalingException` - when an error is encountered duirng marshaling.

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(AuditHistorySoapList soapList, com.vasoftware.sf.server.services.auditing.AuditHistoryList rmiList, List<com.collabnet.ctf.dataobject.comment.CommentData> commentList, boolean translateFields) throws SoapMarshalingException
    Overloaded method to marshal RMI auditing list and comment list into a single SOAP auditing history list.
    Parameters:
      `soapList` - SOAP auditing history list.
      `rmiList` - RMI auditing history list.
      `commentList` - List of comments.
      `translateFields` - denotes whether fields not known to pre 5.3 versions of TeamForge should be translated
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.